Having issues installing mongoDb Compass in Linux Mint

Followed this instruction on MongoDB Compass website for installation


Download the package:

 https://downloads.mongodb.com/compass/mongodb-compass_1.15.1_amd64.deb;

Install Compass:

sudo dpkg -i mongodb-compass_1.15.1_amd64.deb;

Start Compass:

mongodb-compass;Install Compass:

However, on trying to install using

sudo dpkg -i mongodb-compass_1.15.1_amd64.deb;

i get an error saying

 dpkg-deb: error: 'mongodb-compass_1.15.1_amd64.deb' is not a Debian format archive
dpkg: error processing archive mongodb-compass_1.15.1_amd64.deb (--install):
 dpkg-deb --control subprocess returned error exit status 2
Errors were encountered while processing:
 mongodb-compass_1.15.1_amd64.deb 

Nevermind, it got resolved. There was some issue with the downloaded .deb installation file.

Hi @abidRahim ,

I am facing the same issue on my Linux Mint 19.1.

Actually I have the similar problem even with some other versions of Compass I tried to install (1.16.4 and 1.20.1).

Could you please share more details about the way you solved this issue ?

Cheers